Archive Storage
Overview
Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.
This guide provides a brief description of Archive Storage in JSON format.
The API is provided as a RESTful API, and it responds in JSON format.
Version
| Version | Status | Supported Until |
|---|
| 1.0 | DEPRECATED | 20251231 |
| 1.1 | CURRENT | - |
OpenAPI URL
https://archivestorage.{region}.{environment}.samsungsdscloud.com
Environment and Region List
| environment | region |
|---|
| s | kr-west1 |
| s | kr-east1 |
| g | kr-south1 |
| g | kr-south2 |
| g | kr-south3 |
| e | kr-west1 |
| e | kr-east1 |
1 - APIs
1.1 - CancelArchiving
1.1.1 - 1.1
put /v1/archiving-histories/cancel-archiving
Description
Cancel a specific archiving
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | id required | Archiving History ID Example : EXE-8f35b491-a060-453b-b825-e78440ca46de
| string | None |
| query | bucket_id required | Bucket ID Example : 3d036efe-f576-48b0-8375-6d3704a95b63
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/archiving-histories/cancel-archiving?id={id}&bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 202
1.1.2 - 1.0
put /v1/archiving-histories/cancel-archiving
Description
Cancel a specific archiving
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | id required | Archiving History ID Example : EXE-8f35b491-a060-453b-b825-e78440ca46de
| string | None |
| query | bucket_id required | Bucket ID Example : 3d036efe-f576-48b0-8375-6d3704a95b63
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/archiving-histories/cancel-archiving?id={id}&bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"
Example HTTP response
Response 202
1.2 - CancelRecovery
1.2.1 - 1.1
put /v1/recovery-histories/cancel-recovery
Description
Cancel a specific recovery
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | id required | Recovery History ID Example : EXE-9df439a5-9e6d-46a4-806e-1e9991520763
| string | None |
| query | bucket_id required | Bucket ID Example : 7d8d8c2b-d02a-421e-a6e3-5b981bfb507f
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/recovery-histories/cancel-recovery?id={id}&bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 202
1.2.2 - 1.0
put /v1/recovery-histories/cancel-recovery
Description
Cancel a specific recovery
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | id required | Recovery History ID Example : EXE-9df439a5-9e6d-46a4-806e-1e9991520763
| string | None |
| query | bucket_id required | Bucket ID Example : 7d8d8c2b-d02a-421e-a6e3-5b981bfb507f
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/recovery-histories/cancel-recovery?id={id}&bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"
Example HTTP response
Response 202
1.3 - CreateArchivingPolicy
1.3.1 - 1.1
post /v1/archiving-policies
Description
Create an archivingPolicy
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| body | body required |
| ArchivingPolicyCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | ArchivingPolicyCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/archiving-policies?bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"
Request body
{
"archiving_source_bucket_name": "obs-bucket-name",
"object_lifecycle": "1",
"object_path": "/"
}
Example HTTP response
Response 201
{
"id": "SCH-XXXXXXX",
"bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"archiving_source": {
"bucket_name": "obs-bucket-name",
"object_path": "/"
},
"object_lifecycle": "1",
"state": "ACTIVE"
}
1.3.2 - 1.0
post /v1/archiving-policies
Description
Create an archivingPolicy
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| body | body required |
| ArchivingPolicyCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | ArchivingPolicyCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/archiving-policies?bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"
Request body
{
"archiving_source_bucket_name": "obs-bucket-name",
"object_lifecycle": "1",
"object_path": "/"
}
Example HTTP response
Response 201
{
"id": "SCH-XXXXXXX",
"bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"archiving_source": {
"bucket_name": "obs-bucket-name",
"object_path": "/"
},
"object_lifecycle": "1",
"state": "ACTIVE"
}
1.4 - CreateBucket
1.4.1 - 1.1
post /v1/buckets
Description
Create a bucket
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | BucketCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"
Request body
{
"name": "astest",
"tags": [
{
"key": "key",
"value": "value"
}
]
}
Example HTTP response
Response 201
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2"
}
1.4.2 - 1.0
post /v1/buckets
Description
Create a bucket
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | BucketCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"
Request body
{
"name": "astest",
"tags": [
{
"key": "key",
"value": "value"
}
]
}
Example HTTP response
Response 201
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2"
}
1.5 - DeleteBucket
1.5.1 - 1.1
delete /v1/buckets/{bucket_id}
Description
Delete a specific bucket
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 403 | Forbidden | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 202
1.5.2 - 1.0
delete /v1/buckets/{bucket_id}
Description
Delete a specific bucket
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 403 | Forbidden | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"
Example HTTP response
Response 202
1.6 - DeleteBucketObjects
1.6.1 - 1.1
delete /v1/buckets/{bucket_id}/objects
Description
Delete Bucket Objects
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| body | body required |
| ObjectDeleteRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/objects
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"
Request body
Example HTTP response
Response 202
1.6.2 - 1.0
delete /v1/buckets/{bucket_id}/objects
Description
Delete Bucket Objects
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| body | body required |
| ObjectDeleteRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/objects
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"
Request body
Example HTTP response
Response 202
1.7 - DeleteBucketObjectVersions
1.7.1 - 1.1
delete /v1/buckets/{bucket_id}/object-versions
Description
Delete Bucket Object Versions
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| body | body required |
| ObjectVersionsDeleteRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/object-versions
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"
Request body
{
"path": "hello/my_file.txt",
"versions": [
"Oc9nEYWV.6VjzsIMXFZWM1zL8HcYvKl",
"asSrZ.-K.cf67F0NhXR353JS7Kx6kmm"
]
}
Example HTTP response
Response 202
1.8 - ListArchivingHistories
1.8.1 - 1.1
get /v1/archiving-histories
Description
List archiving histories
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | bucket_id required | Bucket ID Example : 3d036efe-f576-48b0-8375-6d3704a95b63
| string | None |
| query | start_at_from required | Start at from Example : 2025-04-01T00:00:00+09:00
| string (date-time) | None |
| query | start_at_to required | Start at to Example : 2025-04-30T23:59:59+09:00
| string (date-time) | None |
| query | state optional | State Example : SUCCESS
| any of [string, null] | None |
| query | limit optional | Limit Example : 20
| any of [integer, null] | 20 |
| query | offset optional | Offset Example : 0
| any of [integer, null] | 0 |
Responses
Example HTTP request
Request path
/v1/archiving-histories?bucket_id={bucket_id}&start_at_from={start_at_from}&start_at_to={start_at_to}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 200
{
"total_count": 10,
"bucket_id": "3d036efe-f576-48b0-8375-6d3704a95b63",
"contents": [
{
"archiving_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
"id": "EXE-8f35b491-a060-453b-b825-e78440ca46de",
"state": "SUCCESS",
"archiving_policy_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
"start_at": "2025-04-01T00:00:00+09:00",
"end_at": "2025-04-30T23:59:59+09:00"
}
]
}
1.8.2 - 1.0
get /v1/archiving-histories
Description
List archiving histories
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | bucket_id required | Bucket ID Example : 3d036efe-f576-48b0-8375-6d3704a95b63
| string | None |
| query | start_at_from required | Start at from Example : 2025-04-01T00:00:00+09:00
| string (date-time) | None |
| query | start_at_to required | Start at to Example : 2025-04-30T23:59:59+09:00
| string (date-time) | None |
| query | state optional | State Example : SUCCESS
| any of [string, null] | None |
| query | limit optional | Limit Example : 20
| any of [integer, null] | 20 |
| query | offset optional | Offset Example : 0
| any of [integer, null] | 0 |
Responses
Example HTTP request
Request path
/v1/archiving-histories?bucket_id={bucket_id}&start_at_from={start_at_from}&start_at_to={start_at_to}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"
Example HTTP response
Response 200
{
"total_count": 10,
"bucket_id": "3d036efe-f576-48b0-8375-6d3704a95b63",
"contents": [
{
"archiving_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
"id": "EXE-8f35b491-a060-453b-b825-e78440ca46de",
"state": "SUCCESS",
"archiving_policy_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
"start_at": "2025-04-01T00:00:00+09:00",
"end_at": "2025-04-30T23:59:59+09:00"
}
]
}
1.9 - ListArchivingPolicies
1.9.1 - 1.1
get /v1/archiving-policies
Description
List archiving policies
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
Responses
Example HTTP request
Request path
/v1/archiving-policies?bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 200
{
"count": 1,
"bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"archiving_source_bucket_name": "obs-bucket-name",
"archiving_policies": [
{
"id": "SCH-XXXXXXX",
"object_lifecycle": "1",
"object_path": "/",
"state": "ACTIVE"
}
]
}
1.9.2 - 1.0
get /v1/archiving-policies
Description
List archiving policies
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
Responses
Example HTTP request
Request path
/v1/archiving-policies?bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"
Example HTTP response
Response 200
{
"count": 1,
"bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"archiving_source_bucket_name": "obs-bucket-name",
"archiving_policies": [
{
"id": "SCH-XXXXXXX",
"object_lifecycle": "1",
"object_path": "/",
"state": "ACTIVE"
}
]
}
1.10 - ListBucketObjects
1.10.1 - 1.1
get /v1/buckets/{bucket_id}/objects
Description
List Bucket Objects
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| query | marker optional | Marker Example : TODO.txt
| any of [string, null] | None |
| query | object_path optional | Object Path Example : /
| any of [string, null] | None |
| query | object_name optional | Object Name Example : hello/TODO.txt
| any of [string, null] | None |
| query | object_type optional | Object Type Example : FILE
| any of [string, null] | None |
| query | limit optional | Limit Example : 20
| any of [integer, null] | 200 |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | ObjectListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/objects
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 200
{
"count": 1,
"marker": "TODO.txt",
"is_truncated": true,
"contents": [
{
"object_name": "hello/TODO.txt",
"object_type": "FILE",
"object_size": "3581",
"modified_at": "2025-04-09T05:54:46.244000+00:00"
}
]
}
1.10.2 - 1.0
get /v1/buckets/{bucket_id}/objects
Description
List Bucket Objects
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| query | marker optional | Marker Example : TODO.txt
| any of [string, null] | None |
| query | object_path optional | Object Path Example : /
| any of [string, null] | None |
| query | object_name optional | Object Name Example : hello/TODO.txt
| any of [string, null] | None |
| query | object_type optional | Object Type Example : FILE
| any of [string, null] | None |
| query | limit optional | Limit Example : 20
| any of [integer, null] | 200 |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | ObjectListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/objects
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"
Example HTTP response
Response 200
{
"count": 1,
"marker": "TODO.txt",
"is_truncated": true,
"contents": [
{
"object_name": "hello/TODO.txt",
"object_type": "FILE",
"object_size": "3581",
"modified_at": "2025-04-09T05:54:46.244000+00:00"
}
]
}
1.11 - ListBucketObjectVersions
1.11.1 - 1.1
get /v1/buckets/{bucket_id}/object-versions
Description
List Bucket Object Versions
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| query | object_path required | Object Path Example : hello/my_file.txt
| string | None |
| query | offset optional | Offset Example : 0
| any of [integer, null] | 0 |
| query | limit optional | Limit Example : 20
| any of [integer, null] | 20 |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | ObjectVersionListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/object-versions?object_path={object_path}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 200
{
"count": 1,
"contents": [
{
"object_path": "hello/my_file.txt",
"object_version_id": "Oc9nEYWV.6VjzsIMXFZWM1zL8HcYvKl",
"latest": true,
"modified_at": "2025-04-09T05:54:46.244000+00:00",
"etag": "4f6094f1e0619a6504efcb5e69e63bec",
"size": "20"
}
]
}
1.12 - ListBuckets
1.12.1 - 1.1
get /v1/buckets
Description
List Buckets
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | name optional | Bucket name Example : astest
| any of [string, null] | None |
| query | limit optional | Limit Example : 20
| any of [integer, null] | 20 |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BucketListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/buckets
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 200
{
"buckets": [
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"name": "astest"
}
]
}
1.12.2 - 1.0
get /v1/buckets
Description
List Buckets
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | name optional | Bucket name Example : astest
| any of [string, null] | None |
| query | limit optional | Limit Example : 20
| any of [integer, null] | 20 |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BucketListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/buckets
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"
Example HTTP response
Response 200
{
"buckets": [
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"name": "astest"
}
]
}
1.13 - ListRecoveryHistories
1.13.1 - 1.1
get /v1/recovery-histories
Description
List recovery histories
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | bucket_id required | Bucket ID Example : 7d8d8c2b-d02a-421e-a6e3-5b981bfb507f
| string | None |
| query | start_at_from required | Start at from Example : 2025-04-01T00:00:00+09:00
| string (date-time) | None |
| query | start_at_to required | Start at to Example : 2025-04-30T23:59:59+09:00
| string (date-time) | None |
| query | state optional | State Example : SUCCESS
| any of [string, null] | None |
| query | limit optional | Limit Example : 20
| any of [integer, null] | 20 |
| query | offset optional | Offset Example : 0
| any of [integer, null] | 0 |
Responses
Example HTTP request
Request path
/v1/recovery-histories?bucket_id={bucket_id}&start_at_from={start_at_from}&start_at_to={start_at_to}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 200
{
"total_count": 10,
"bucket_id": "7d8d8c2b-d02a-421e-a6e3-5b981bfb507f",
"contents": [
{
"recovery_id": "ARC-f9eab563-312b-4bbf-a4bf-d377448d66b5",
"id": "EXE-9df439a5-9e6d-46a4-806e-1e9991520763",
"state": "SUCCESS",
"recovery_target_bucket_name": "test-obs-bucket",
"start_at": "2025-04-01T00:00:00+09:00",
"end_at": "2025-04-30T23:59:59+09:00"
}
]
}
1.13.2 - 1.0
get /v1/recovery-histories
Description
List recovery histories
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | bucket_id required | Bucket ID Example : 7d8d8c2b-d02a-421e-a6e3-5b981bfb507f
| string | None |
| query | start_at_from required | Start at from Example : 2025-04-01T00:00:00+09:00
| string (date-time) | None |
| query | start_at_to required | Start at to Example : 2025-04-30T23:59:59+09:00
| string (date-time) | None |
| query | state optional | State Example : SUCCESS
| any of [string, null] | None |
| query | limit optional | Limit Example : 20
| any of [integer, null] | 20 |
| query | offset optional | Offset Example : 0
| any of [integer, null] | 0 |
Responses
Example HTTP request
Request path
/v1/recovery-histories?bucket_id={bucket_id}&start_at_from={start_at_from}&start_at_to={start_at_to}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"
Example HTTP response
Response 200
{
"total_count": 10,
"bucket_id": "7d8d8c2b-d02a-421e-a6e3-5b981bfb507f",
"contents": [
{
"recovery_id": "ARC-f9eab563-312b-4bbf-a4bf-d377448d66b5",
"id": "EXE-9df439a5-9e6d-46a4-806e-1e9991520763",
"state": "SUCCESS",
"recovery_target_bucket_name": "test-obs-bucket",
"start_at": "2025-04-01T00:00:00+09:00",
"end_at": "2025-04-30T23:59:59+09:00"
}
]
}
1.14 - RecoverObjects
1.14.1 - 1.1
put /v1/buckets/{bucket_id}/recover-objects
Description
Recover Objects to objectstorage
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| body | body required |
| ObjectRecoverRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | ObjectRecoverResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/recover-objects
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"
Request body
{
"recovery_target_bucket_name": "obs-bucket-name",
"recovery_infos": [
{
"source_object_path": "/",
"object_type": "FILE"
}
],
"overwrite": true
}
Example HTTP response
Response 202
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"recovery_target_bucket_name": "obs-bucket-name"
}
1.14.2 - 1.0
put /v1/buckets/{bucket_id}/recover-objects
Description
Recover Objects to objectstorage
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| body | body required |
| ObjectRecoverRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | ObjectRecoverResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/recover-objects
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"
Request body
{
"recovery_target_bucket_name": "obs-bucket-name",
"recovery_infos": [
{
"source_object_path": "/",
"object_type": "FILE"
}
],
"overwrite": true
}
Example HTTP response
Response 202
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"recovery_target_bucket_name": "obs-bucket-name"
}
1.15 - RecoverObjectVersions
1.15.1 - 1.1
put /v1/buckets/{bucket_id}/recover-object-versions
Description
Recover Object Versions to objectstorage
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| body | body required |
| ObjectVersionRecoverRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | ObjectVersionRecoverResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/recover-object-versions
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"
Request body
{
"recovery_target_bucket_name": "obs-bucket-name",
"source_object_path": "/",
"source_object_version": "Oc9nEYWV.6VjzsIMXFZWM1zL8HcYvKl",
"overwrite": true
}
Example HTTP response
Response 202
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"recovery_target_bucket_name": "obs-bucket-name"
}
1.16 - SetArchivingPolicy
1.16.1 - 1.1
put /v1/archiving-policies/{archiving_policy_id}
Description
Set archivingPolicy
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | archiving_policy_id required | Archiving Policy ID Example : SCH-XXXXXXX
| string | None |
| query | bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| body | body required |
| ArchivingPolicyUpdateRequest | |
Responses
Example HTTP request
Request path
/v1/archiving-policies/{archiving_policy_id}?bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"
Request body
{
"object_lifecycle": "1"
}
Example HTTP response
Response 200
{
"id": "SCH-XXXXXXX",
"bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"archiving_source": {
"bucket_name": "obs-bucket-name",
"object_path": "/"
},
"object_lifecycle": "1",
"state": "ACTIVE"
}
1.16.2 - 1.0
put /v1/archiving-policies/{archiving_policy_id}
Description
Set archivingPolicy
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | archiving_policy_id required | Archiving Policy ID Example : SCH-XXXXXXX
| string | None |
| query | bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| body | body required |
| ArchivingPolicyUpdateRequest | |
Responses
Example HTTP request
Request path
/v1/archiving-policies/{archiving_policy_id}?bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"
Request body
{
"object_lifecycle": "1"
}
Example HTTP response
Response 200
{
"id": "SCH-XXXXXXX",
"bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"archiving_source": {
"bucket_name": "obs-bucket-name",
"object_path": "/"
},
"object_lifecycle": "1",
"state": "ACTIVE"
}
1.17 - SetArchivingPolicyState
1.17.1 - 1.1
put /v1/archiving-policies/{archiving_policy_id}/state
Description
Set archivingPolicy state
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | archiving_policy_id required | Archiving Policy ID Example : SCH-XXXXXXX
| string | None |
| query | bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| body | body required |
| ArchivingPolicyStateUpdateRequest | |
Responses
Example HTTP request
Request path
/v1/archiving-policies/{archiving_policy_id}/state?bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"
Request body
Example HTTP response
Response 200
{
"id": "SCH-XXXXXXX",
"bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"state": "ACTIVE"
}
1.18 - SetBucketEncryption
1.18.1 - 1.1
put /v1/buckets/{bucket_id}/encryption
Description
Set a specific bucket encryption
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| body | body required |
| BucketEncryptionRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BucketEncryptionResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/encryption
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"
Request body
Example HTTP response
Response 200
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"enabled": true
}
1.18.2 - 1.0
put /v1/buckets/{bucket_id}/encryption
Description
Set a specific bucket encryption
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| body | body required |
| BucketEncryptionRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BucketEncryptionResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/encryption
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"
Request body
Example HTTP response
Response 200
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"enabled": true
}
1.19 - SetBucketVersioning
1.19.1 - 1.1
put /v1/buckets/{bucket_id}/versioning
Description
set a specific bucket versioning
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| body | body required |
| BucketVersionRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BucketVersioningResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/versioning
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"
Request body
Example HTTP response
Response 200
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"enabled": true
}
1.20 - ShowArchivingHistory
1.20.1 - 1.1
get /v1/archiving-histories/detail
Description
Show an archiving history
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | id required | Archiving History ID Example : EXE-8f35b491-a060-453b-b825-e78440ca46de
| string | None |
| query | bucket_id required | Bucket ID Example : 3d036efe-f576-48b0-8375-6d3704a95b63
| string | None |
Responses
Example HTTP request
Request path
/v1/archiving-histories/detail?id={id}&bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 200
{
"archiving_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
"id": "EXE-8f35b491-a060-453b-b825-e78440ca46de",
"state": "SUCCESS",
"archiving_policy_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
"start_at": "2025-04-01T00:00:00+09:00",
"end_at": "2025-04-30T23:59:59+09:00",
"bucket_id": "3d036efe-f576-48b0-8375-6d3704a95b63",
"archiving_infos": [
{
"source_object_path": "example_source_object_path/",
"usage": "1024",
"total_object_count": 100,
"archiving_object_count": 50,
"archiving_rate": 100
}
]
}
1.20.2 - 1.0
get /v1/archiving-histories/detail
Description
Show an archiving history
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | id required | Archiving History ID Example : EXE-8f35b491-a060-453b-b825-e78440ca46de
| string | None |
| query | bucket_id required | Bucket ID Example : 3d036efe-f576-48b0-8375-6d3704a95b63
| string | None |
Responses
Example HTTP request
Request path
/v1/archiving-histories/detail?id={id}&bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"
Example HTTP response
Response 200
{
"archiving_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
"id": "EXE-8f35b491-a060-453b-b825-e78440ca46de",
"state": "SUCCESS",
"archiving_policy_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
"start_at": "2025-04-01T00:00:00+09:00",
"end_at": "2025-04-30T23:59:59+09:00",
"bucket_id": "3d036efe-f576-48b0-8375-6d3704a95b63",
"archiving_infos": [
{
"source_object_path": "example_source_object_path/",
"usage": "1024",
"total_object_count": 100,
"archiving_object_count": 50,
"archiving_rate": 100
}
]
}
1.21 - ShowArchivingPolicy
1.21.1 - 1.1
get /v1/archiving-policies/{archiving_policy_id}
Description
Show an archivingPolicy
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | archiving_policy_id required | Archiving Policy ID Example : SCH-XXXXXXX
| string | None |
| query | bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
Responses
Example HTTP request
Request path
/v1/archiving-policies/{archiving_policy_id}?bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 200
{
"id": "SCH-XXXXXXX",
"bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"archiving_source": {
"bucket_name": "obs-bucket-name",
"object_path": "/"
},
"object_lifecycle": "1",
"state": "ACTIVE"
}
1.21.2 - 1.0
get /v1/archiving-policies/{archiving_policy_id}
Description
Show an archivingPolicy
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | archiving_policy_id required | Archiving Policy ID Example : SCH-XXXXXXX
| string | None |
| query | bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
Responses
Example HTTP request
Request path
/v1/archiving-policies/{archiving_policy_id}?bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"
Example HTTP response
Response 200
{
"id": "SCH-XXXXXXX",
"bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"archiving_source": {
"bucket_name": "obs-bucket-name",
"object_path": "/"
},
"object_lifecycle": "1",
"state": "ACTIVE"
}
1.22 - ShowBucket
1.22.1 - 1.1
get /v1/buckets/{bucket_id}
Description
Show a specific bucket
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BucketShowResponse |
| 403 | Forbidden | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 200
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"name": "astest",
"state": "ACTIVE",
"usage": "10",
"archiving_source_bucket_name": "obstest"
}
1.22.2 - 1.0
get /v1/buckets/{bucket_id}
Description
Show a specific bucket
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BucketShowResponse |
| 403 | Forbidden | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"
Example HTTP response
Response 200
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"name": "astest",
"state": "ACTIVE",
"usage": "10",
"archiving_source_bucket_name": "obstest"
}
1.23 - ShowBucketEncryption
1.23.1 - 1.1
get /v1/buckets/{bucket_id}/encryption
Description
Show a specific bucket encryption
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BucketEncryptionResponse |
| 403 | Forbidden | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/encryption
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 200
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"enabled": true
}
1.23.2 - 1.0
get /v1/buckets/{bucket_id}/encryption
Description
Show a specific bucket encryption
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BucketEncryptionResponse |
| 403 | Forbidden | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/encryption
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"
Example HTTP response
Response 200
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"enabled": true
}
1.24 - ShowBucketVersioning
1.24.1 - 1.1
get /v1/buckets/{bucket_id}/versioning
Description
show a specific bucket versioning
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BucketVersioningResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/versioning
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 200
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"enabled": true
}
1.25 - ShowRecoveryHistory
1.25.1 - 1.1
get /v1/recovery-histories/detail
Description
Show a recovery history
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | id required | Recovery History ID Example : EXE-9df439a5-9e6d-46a4-806e-1e9991520763
| string | None |
| query | bucket_id required | Bucket ID Example : 7d8d8c2b-d02a-421e-a6e3-5b981bfb507f
| string | None |
Responses
Example HTTP request
Request path
/v1/recovery-histories/detail?id={id}&bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 200
{
"recovery_id": "ARC-f9eab563-312b-4bbf-a4bf-d377448d66b5",
"id": "EXE-9df439a5-9e6d-46a4-806e-1e9991520763",
"state": "SUCCESS",
"recovery_target_bucket_name": "test-obs-bucket",
"start_at": "2025-04-01T00:00:00+09:00",
"end_at": "2025-04-30T23:59:59+09:00",
"bucket_id": "7d8d8c2b-d02a-421e-a6e3-5b981bfb507f",
"recovery_infos": [
{
"source_object_path": "example_source_object_path/",
"usage": "1024",
"total_object_count": 100,
"recovery_object_count": 50,
"recovery_rate": 50
}
]
}
1.25.2 - 1.0
get /v1/recovery-histories/detail
Description
Show a recovery history
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | id required | Recovery History ID Example : EXE-9df439a5-9e6d-46a4-806e-1e9991520763
| string | None |
| query | bucket_id required | Bucket ID Example : 7d8d8c2b-d02a-421e-a6e3-5b981bfb507f
| string | None |
Responses
Example HTTP request
Request path
/v1/recovery-histories/detail?id={id}&bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"
Example HTTP response
Response 200
{
"recovery_id": "ARC-f9eab563-312b-4bbf-a4bf-d377448d66b5",
"id": "EXE-9df439a5-9e6d-46a4-806e-1e9991520763",
"state": "SUCCESS",
"recovery_target_bucket_name": "test-obs-bucket",
"start_at": "2025-04-01T00:00:00+09:00",
"end_at": "2025-04-30T23:59:59+09:00",
"bucket_id": "7d8d8c2b-d02a-421e-a6e3-5b981bfb507f",
"recovery_infos": [
{
"source_object_path": "example_source_object_path/",
"usage": "1024",
"total_object_count": 100,
"recovery_object_count": 50,
"recovery_rate": 50
}
]
}
2 - Models
2.1 - ArchivingHistory
| Name | Description | Schema | Default |
|---|
archiving_id required | Archiving ID Example : SCH-02d48456-0f35-47e2-8056-b00e09366cac
| any of [string, null] | |
id required | Archiving History ID Example : EXE-8f35b491-a060-453b-b825-e78440ca46de
| any of [string, null] | |
state required | State Example : SUCCESS
| any of [string, null] | |
archiving_policy_id required | Archiving Policy ID Example : SCH-02d48456-0f35-47e2-8056-b00e09366cac
| any of [string, null] | |
start_at required | Start at Example : 2025-04-01T00:00:00+09:00
| any of [string (date-time), null] | |
end_at required | End at Example : 2025-04-30T23:59:59+09:00
| any of [string (date-time), null] | |
2.2 - ArchivingHistoryListResponse
| Name | Description | Schema | Default |
|---|
total_count required | Total Count Example : 10
| any of [integer, null] | |
bucket_id required | Bucket ID Example : 3d036efe-f576-48b0-8375-6d3704a95b63
| any of [string, null] | |
contents required | History List
| array[ArchivingHistory] | |
2.3 - ArchivingHistoryShowResponse
| Name | Description | Schema | Default |
|---|
archiving_id required | Archiving ID Example : SCH-02d48456-0f35-47e2-8056-b00e09366cac
| any of [string, null] | |
id required | Archiving History ID Example : EXE-8f35b491-a060-453b-b825-e78440ca46de
| any of [string, null] | |
state required | State Example : SUCCESS
| any of [string, null] | |
archiving_policy_id required | Archiving Policy ID Example : SCH-02d48456-0f35-47e2-8056-b00e09366cac
| any of [string, null] | |
start_at required | Start at Example : 2025-04-01T00:00:00+09:00
| any of [string (date-time), null] | |
end_at required | End at Example : 2025-04-30T23:59:59+09:00
| any of [string (date-time), null] | |
bucket_id required | Bucket ID Example : 3d036efe-f576-48b0-8375-6d3704a95b63
| any of [string, null] | |
archiving_infos required | Archiving Info List
| array[ArchivingInfo] | |
2.4 - ArchivingInfo
| Name | Description | Schema | Default |
|---|
source_object_path required | Source Object Path Example : example_source_object_path/
| any of [string, null] | |
usage required | Usage Example : 1024
| any of [string, null] | |
total_object_count required | Total Object Count Example : 100
| any of [integer, null] | |
archiving_object_count required | Archiving Object Count Example : 50
| any of [integer, null] | |
archiving_rate required | Archiving Rate Example : 100
| any of [integer, null] | |
2.5 - ArchivingPolicies
| Name | Description | Schema | Default |
|---|
id required | Archiving Policy ID Example : SCH-XXXXXXX
| string | |
object_lifecycle required | Object LifeCycle Example : 1
| any of [string, null] | |
object_path required | Object Path Example : /
| any of [string, null] | |
state required | Archiving Policy State Example : ACTIVE
| string | |
2.6 - ArchivingPolicyCreateRequest
| Name | Description | Schema | Default |
|---|
archiving_source_bucket_name required | Archiving Source Bucket Name Example : obs-bucket-name
| string | |
object_lifecycle required | Object LifeCycle Example : 1
| string | |
object_path required | Object Path Example : / Pattern : ^/$
| string | |
2.7 - ArchivingPolicyCreateResponse
| Name | Description | Schema | Default |
|---|
id required | Archiving Policy ID Example : SCH-XXXXXXX
| string | |
bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | |
archiving_source required | Archiving Source
| ArchivingSource | |
object_lifecycle required | Object LifeCycle Example : 1
| string | |
state required | Archiving Policy State Example : ACTIVE
| string | |
2.8 - ArchivingPolicyListResponse
| Name | Description | Schema | Default |
|---|
count required | count Example : 1
| integer | |
bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | |
archiving_source_bucket_name required | Archiving Source Bucket Name Example : obs-bucket-name
| any of [string, null] | |
archiving_policies required | Archiving Policy List
| any of [array[ArchivingPolicies], null] | |
2.9 - ArchivingPolicyShowResponse
| Name | Description | Schema | Default |
|---|
id required | Archiving Policy ID Example : SCH-XXXXXXX
| string | |
bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | |
archiving_source required | Archiving Source
| ArchivingSource | |
object_lifecycle required | Object LifeCycle Example : 1
| any of [string, null] | |
state required | Archiving Policy State Example : ACTIVE
| any of [string, null] | |
2.10 - ArchivingPolicyStateUpdateRequest
| Name | Description | Schema | Default |
|---|
state required | Archiving Policy State Example : ACTIVE Pattern : ^(ACTIVE|INACTIVE)$
| string | |
2.11 - ArchivingPolicyStateUpdateResponse
| Name | Description | Schema | Default |
|---|
id required | Archiving Policy ID Example : SCH-XXXXXXX
| string | |
bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | |
state required | Archiving Policy State Example : ACTIVE
| string | |
2.12 - ArchivingPolicyUpdateRequest
| Name | Description | Schema | Default |
|---|
object_lifecycle required | Object LifeCycle Example : 1
| string | |
2.13 - ArchivingPolicyUpdateResponse
| Name | Description | Schema | Default |
|---|
id required | Archiving Policy ID Example : SCH-XXXXXXX
| string | |
bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | |
archiving_source required | Archiving Source
| ArchivingSource | |
object_lifecycle required | Object LifeCycle Example : 1
| string | |
state required | Archiving Policy State Example : ACTIVE
| string | |
2.14 - ArchivingSource
| Name | Description | Schema | Default |
|---|
bucket_name required | Archiving Source Bucket Name Example : obs-bucket-name
| any of [string, null] | |
object_path required | Object Path Example : /
| any of [string, null] | |
2.15 - BucketCreateRequest
| Name | Description | Schema | Default |
|---|
name required | Bucket name Example : astest
| string | |
tags optional | Tag List
| any of [array[Tag], null] | |
2.16 - BucketCreateResponse
| Name | Description | Schema | Default |
|---|
id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | |
2.17 - BucketEncryptionRequest
| Name | Description | Schema | Default |
|---|
enabled required | Encryption Enabled Example : True
| boolean | |
2.18 - BucketEncryptionResponse
| Name | Description | Schema | Default |
|---|
id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | |
enabled required | Encryption Enabled Example : True
| boolean | |
2.19 - BucketListResponse
| Name | Description | Schema | Default |
|---|
buckets required | Bucket List
| array[BucketWithName] | |
2.20 - BucketShowResponse
| Name | Description | Schema | Default |
|---|
id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | |
name required | Bucket name Example : astest
| string | |
state required | Bucket state Example : ACTIVE
| string | |
usage optional | Bucket usage Example : 10
| any of [string, null] | |
archiving_source_bucket_name optional | Archiving source bucket name Example : obstest
| any of [string, null] | |
2.21 - BucketVersioningResponse
| Name | Description | Schema | Default |
|---|
id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | |
enabled required | Version Enabled Example : True
| boolean | |
2.22 - BucketVersionRequest
| Name | Description | Schema | Default |
|---|
enabled required | Versioning Enabled Example : True
| boolean | |
2.23 - BucketWithName
| Name | Description | Schema | Default |
|---|
id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | |
name required | Bucket name Example : astest
| string | |
2.24 - Object
| Name | Description | Schema | Default |
|---|
object_name required | Object Name Example : hello/TODO.txt
| string | |
object_type required | Object Type Example : FILE
| string | |
object_size optional | Object Size Example : 3581
| any of [string, null] | |
modified_at optional | Modified AT Example : 2025-04-09T05:54:46.244000+00:00
| any of [string, null] | |
2.25 - ObjectDeleteRequest
| Name | Description | Schema | Default |
|---|
paths required | Object Path List Example : ['test/']
| array[string] | |
2.26 - ObjectListResponse
| Name | Description | Schema | Default |
|---|
count required | count Example : 1
| integer | |
marker optional | Marker Example : TODO.txt
| any of [string, null] | |
is_truncated required | is_truncated indicates whether the current result contains all data or only part of it. Example : True
| boolean | |
contents required | Object List
| array[Object] | |
2.27 - ObjectRecoverRequest
| Name | Description | Schema | Default |
|---|
recovery_target_bucket_name required | Recovery Target Bucket Name Example : obs-bucket-name
| string | |
recovery_infos required | Object Recovery Info List
| array[ObjectRecoveryInfo] | |
overwrite required | Overwrite Example : True
| boolean | |
2.28 - ObjectRecoverResponse
| Name | Description | Schema | Default |
|---|
id required | 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | |
recovery_target_bucket_name required | Recovery Target Bucket Name Example : obs-bucket-name
| string | |
2.29 - ObjectRecoveryInfo
| Name | Description | Schema | Default |
|---|
source_object_path required | Recovery Source Object Path Example : /
| string | |
object_type required | Object Type Example : FILE Pattern : ^(FILE|FOLDER)$
| string | |
2.30 - ObjectVersionListResponse
| Name | Description | Schema | Default |
|---|
count required | count Example : 1
| integer | |
contents required |
| array[ObjectVersions] | |
2.31 - ObjectVersionRecoverRequest
| Name | Description | Schema | Default |
|---|
recovery_target_bucket_name required | Recovery Target Bucket Name Example : obs-bucket-name
| string | |
source_object_path required | Recovery Source Object Path Example : /
| string | |
source_object_version required | Recovery Source Object Version Example : Oc9nEYWV.6VjzsIMXFZWM1zL8HcYvKl
| string | |
overwrite required | Overwrite Example : True
| boolean | |
2.32 - ObjectVersionRecoverResponse
| Name | Description | Schema | Default |
|---|
id required | 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | |
recovery_target_bucket_name required | Recovery Target Bucket Name Example : obs-bucket-name
| string | |
2.33 - ObjectVersions
| Name | Description | Schema | Default |
|---|
object_path required | Object Path Example : hello/my_file.txt
| string | |
object_version_id required | Object Version Id Example : Oc9nEYWV.6VjzsIMXFZWM1zL8HcYvKl
| string | |
latest required | Is Latest version of Object Example : True
| boolean | |
modified_at required | Modified AT Example : 2025-04-09T05:54:46.244000+00:00
| string (date-time) | |
etag required | ETag Example : 4f6094f1e0619a6504efcb5e69e63bec
| string | |
size required | Size Example : 20
| string | |
2.34 - ObjectVersionsDeleteRequest
| Name | Description | Schema | Default |
|---|
path required | Object Path Example : hello/my_file.txt
| string | |
versions required | Object Version List Example : ['Oc9nEYWV.6VjzsIMXFZWM1zL8HcYvKl', 'asSrZ.-K.cf67F0NhXR353JS7Kx6kmm']
| array[object] | |
2.35 - RecoveryHistory
| Name | Description | Schema | Default |
|---|
recovery_id required | Recovery ID Example : ARC-f9eab563-312b-4bbf-a4bf-d377448d66b5
| any of [string, null] | |
id required | Recovery History ID Example : EXE-9df439a5-9e6d-46a4-806e-1e9991520763
| any of [string, null] | |
state required | State Example : SUCCESS
| any of [string, null] | |
recovery_target_bucket_name required | Recovery Target Bucket NAME Example : test-obs-bucket
| any of [string, null] | |
start_at required | Start at Example : 2025-04-01T00:00:00+09:00
| any of [string (date-time), null] | |
end_at required | End at Example : 2025-04-30T23:59:59+09:00
| any of [string (date-time), null] | |
2.36 - RecoveryHistoryListResponse
| Name | Description | Schema | Default |
|---|
total_count required | Total Count Example : 10
| any of [integer, null] | |
bucket_id required | Bucket ID Example : 7d8d8c2b-d02a-421e-a6e3-5b981bfb507f
| any of [string, null] | |
contents required | History List
| array[RecoveryHistory] | |
2.37 - RecoveryHistoryShowResponse
| Name | Description | Schema | Default |
|---|
recovery_id required | Recovery ID Example : ARC-f9eab563-312b-4bbf-a4bf-d377448d66b5
| any of [string, null] | |
id required | Recovery History ID Example : EXE-9df439a5-9e6d-46a4-806e-1e9991520763
| any of [string, null] | |
state required | State Example : SUCCESS
| any of [string, null] | |
recovery_target_bucket_name required | Recovery Target Bucket NAME Example : test-obs-bucket
| any of [string, null] | |
start_at required | Start at Example : 2025-04-01T00:00:00+09:00
| any of [string (date-time), null] | |
end_at required | End at Example : 2025-04-30T23:59:59+09:00
| any of [string (date-time), null] | |
bucket_id required | Bucket ID Example : 7d8d8c2b-d02a-421e-a6e3-5b981bfb507f
| any of [string, null] | |
recovery_infos required | Recovery Info List
| array[RecoveryInfo] | |
2.38 - RecoveryInfo
| Name | Description | Schema | Default |
|---|
source_object_path required | Source Object Path Example : example_source_object_path/
| any of [string, null] | |
usage required | Usage Example : 1024
| any of [string, null] | |
total_object_count required | Total Object Count Example : 100
| any of [integer, null] | |
recovery_object_count required | Recovery Object Count Example : 50
| any of [integer, null] | |
recovery_rate required | Recovery Rate Example : 50
| any of [integer, null] | |
2.39 - Tag
| Name | Description | Schema | Default |
|---|
key required | Key Example : key Maximum length : 128
| string | |
value optional | Value Example : value
| any of [string, null] | |